curl --request DELETE \
--url https://api.komerza.com/stores/{storeId}/products/{productId}/variants/{variantId}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
"<string>"
]
}
'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Deletes specified items from this variant.
Requires the stores.products.update permission.
curl --request DELETE \
--url https://api.komerza.com/stores/{storeId}/products/{productId}/variants/{variantId}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
"<string>"
]
}
'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Your API key goes here
The store’s unique identifier.
The product’s unique identifier.
The variant’s unique identifier.
The Komerza.Common.Forms.Products.ProductItems listing items to remove.
Form used to update the items on a product
The array of items to add to the product, this will append the items to the end of the existing items
The object was successfully deleted.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the data associated with a response.
Was this page helpful?